﻿using SewingDressesDataModels.Models;
using SewingDressesDataModels.Enums;

namespace SewingDressesContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int DressId { get; set; }
        public int ClientId { get; set; }
        public int? ImplementId { get; set; }
        public string? ImplementFIO { get; set; } = string.Empty;
        public string ClientFIO { get; set; } = string.Empty;
        public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.Now;
        public DateTime? DateImplement { get; set; }
    }
}
